org.apache.cassandra.db

## Interface HintedHandOffManagerMBean

All Known Implementing Classes:
  HintedHandOffManager

    public interface HintedHandOffManagerMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `deleteHintsForEndpoint(java.lang.String host)` Nuke all hints from this node to `ep`.
`java.util.List<java.lang.String>` `listEndpointsPendingHints()` List all the endpoints that this node has hints for.
`void` `pauseHintsDelivery(boolean b)` pause hints delivery process
`void` `scheduleHintDelivery(java.lang.String host)` force hint delivery to an endpoint
`void` `truncateAllHints()` Truncate all the hints

### Method Detail

#### deleteHintsForEndpoint

    void deleteHintsForEndpoint(java.lang.String host)

Nuke all hints from this node to `ep`.

Parameters:
  `host` - String rep. of endpoint address to delete hints for, either ip address ("127.0.0.1") or hostname

#### truncateAllHints

    void truncateAllHints()
                   throws java.util.concurrent.ExecutionException,
                          java.lang.InterruptedException

Truncate all the hints

Throws:
  `java.util.concurrent.ExecutionException`
  `java.lang.InterruptedException`

#### listEndpointsPendingHints

    java.util.List<java.lang.String> listEndpointsPendingHints()

List all the endpoints that this node has hints for.

Returns:
  set of endpoints; as Strings

#### scheduleHintDelivery

    void scheduleHintDelivery(java.lang.String host)
                       throws java.net.UnknownHostException

force hint delivery to an endpoint

Throws:
  `java.net.UnknownHostException`

#### pauseHintsDelivery

    void pauseHintsDelivery(boolean b)

pause hints delivery process